Subject: Re: [PATCH/resend] Documentation: update to git-merge-base --octopus

From: Vincent van Ravesteijn <[email-masked]>
Date: Fri, 15 Apr 2011 10:43:53 +0200

>> +When the option `--octopus` is given, the result of `git merge-base A B C`
>> > +will be '2', because '2' is the common ancestor of all branches.
> 
> Wouldn't it be easier to read if you had the option in the command line, i.e.
> 
>     The result of `git merge-base --octopus A B C` is '2' because...
> 
> without "When ... given" that now become noisewords?

Yes, that's much better. I included it in the rerolled patch series.

> Adding an example use of --octopus to the DISCUSSION section makes a
> lot of sense.  At first I thought this was being added to the
> DESCRIPTION section, which led me to suggest something like the
> following:
> 
> [..]
> 
> What do you think?

I like it, so I made a patch out of it and sent it to the list.

> For what it's worth, except for Junio's wording nitpick and the log message,
> Reviewed-by: Jonathan Nieder <[email-masked]>

Thanks,

Vincent